Name: fonts-SBLHebrew-unicode
Version: 1.12
Release: 2
License: Free for noncommercial purposes
Source: SBLHebrew-Distributionv1.12.zip
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Group: User Interface/X
Summary: The Society of Biblical Literature's Hebrew Unicode Font
URL: http://www.sbl-site.org/Resources/Resources_BiblicalFonts.aspx
Prereq: fontconfig 
Requires: pango >= 1.11.1
Requires: libgnomeprint22 >= 2.12.1
 
%description
The Society of Biblical Literature is developing a new series of high-quality fonts to foster biblical scholarship. The first to be released is SBL Hebrew, "a font that outperforms all previous Hebrew text rendering, and which will enable biblical scholars to create, edit and exchange documents between the increasing number of systems and applications that support Unicode text encoding and OpenType Layout." John Hudson of Tiro Typeworks, Vancouver, BC, is the font designer and developer. http://www.tiro.ca


%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT

mv ReadMe.txt ReadMe-ucs2.txt
iconv -f utf-16 -t utf-8 ReadMe-ucs2.txt > ReadMe.txt
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/SBLHebrew-unicode
cp *.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/SBLHebrew-unicode
# %%ghost the fonts.cache-1 file
touch $RPM_BUILD_ROOT%{_datadir}/fonts/SBLHebrew-unicode/fonts.cache-1

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi


%files
%defattr(-,root,root)
%doc ReadMe.txt
%doc SBLHebrew-Manual.pdf
%dir %{_datadir}/fonts/SBLHebrew-unicode
%{_datadir}/fonts/SBLHebrew-unicode/*.ttf
%ghost %{_datadir}/fonts/SBLHebrew-unicode/fonts.cache-1

%changelog
* Thu Mar 02 2006 Petr Tomasek <tomasek@etf.cuni.cz>
- Bugfix: Added SBLHebrew-Manual.pdf to docs

* Tue Feb 28 2006 Petr Tomasek <tomasek@etf.cuni.cz>
- Initial package
